clear all
datapath = 'small_training_set_prev/'

%%
classes={};
shapes={};
files = dir([datapath '*.mat']);
for fi=1:1:numel(files)
    fname = files(fi).name;
    [~,name,~] = fileparts(fname);
    
    tokens=regexp(name,'[a-z]+','match');
    classes{fi} = tokens(1);
    
%     copyfile(['F:\SHREC2017_retrival\training_set\train_holes_proc\' name '.mat'], ['small_training_set_prev\' name '.mat']);    
%     ws=load([datapath '\' name '.mat'])   
%     shapes{fi}.M=ws.M;
end

%%
groups={};
gnames={};
prev_class='';
for fi=1:numel(classes)
   class=classes{fi};
   if(~strcmp(class,prev_class))
       groups{end+1}={};
       gnames{end+1}=class;
       prev_class=class;
   end    
   groups{end}{end+1}=num2str(fi);
end



f=fopen([datapath '/classes.cla'],'w');

fprintf(f,'PSB 1\n');
fprintf(f,'%d %d\n',numel(groups),numel(classes));%numclasses nummodels

for gi=1:numel(groups)
% className parentClassName numModelsInClass
% one model identifier per line.
fprintf(f,'%s 0 %d\n',gnames{gi}{1},numel(groups{gi})); 
    for mi=1:numel(groups{gi})
        fprintf(f, '%s\n', groups{gi}{mi});
    end
end

fclose(f);
