function D = bow_retrieval(shapes,C, w)

dsize = size(C,1);

kdt = KDTreeSearcher(C);
for si=1:numel(shapes)
    
    M=shapes{si};
    query = M.desc;
    
    [idx, D] = knnsearch(kdt, query,'Distance','cityblock');
    
    shapes{si}.M.widx = idx;
    shapes{si}.M.globdesc = (hist(idx,1:dsize)'./numel(idx)).*w';
end

D=[];
descs = [];
for Mi=1:numel(shapes)
    M=shapes{Mi}.M;
    descs(:,end+1) = M.globdesc;    
end

D=pdist2(descs',descs','spearman');
