function Adj = computeAdjMatrix(M)
    X = M.VERT;
    Tris = M.TRIV;
    Adj = sparse(zeros(size(X,1)));
    for t = Tris'
        Adj(t(1),t(2))=1;
        Adj(t(1),t(3))=1;
        Adj(t(2),t(1))=1;
        Adj(t(2),t(3))=1;
        Adj(t(3),t(1))=1;
        Adj(t(3),t(2))=1;
    end
end